namespace MangaReader.Core.Pipeline;

public interface IMangaPipeline
{
    Task RunMetadataAsync(MangaMetadataPipelineRequest request, CancellationToken cancellationToken);
    Task RunPagesAsync(MangaPagePipelineRequest request, CancellationToken cancellationToken);
}